GET /insights/v1/tokens
Query tokens

Query Parameters

chain number[] optional query
Use chain_id instead
Example: [20,56,1]
chain_id number[] optional query
The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain
Example: [20,56,1]
limit integer optional query
Example: 20
page integer | null optional query
Example: 0
metadata string optional query
Example: "false"
resolve_metadata_links string optional query
Example: "false"
include_spam string optional query
Example: "false"
owner_address string[] required query
Example: ["0x1234567890123456789012345678901234567890","vitalik.eth"]
include_native string optional query
Example: "true"
token_address string[] optional query
Example: ["0x1234567890123456789012345678901234567890","vitalik.eth"]
sort_by string optional query
Example: "balance"
sort_order string optional query
Example: "desc"
include_without_price string optional query
Example: "true"

Responses

200 Successful response
application/json
data object[] REQUIRED
Array of:
chain_id number REQUIRED
The chain ID of a relevant entry
token_address string REQUIRED
balance string REQUIRED
name string
symbol string
decimals number
price_data object
price_usd number
The price of the token in USD
usd_value number
The value of the token balance in USD
volume_24h_usd number
The volume of the token in USD
market_cap_usd number
The market cap of the token in USD
circulating_supply number
The circulating supply of the token
total_supply number
The total supply of the token
percent_change_24h number
The percentage change of the token in the last 24 hours
price_timestamp string
The timestamp of the latest price update
400 Bad request
500 Internal server error
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens?owner_address=0x1234567890123456789012345678901234567890%2Cvitalik.eth'
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens?owner_address=0x1234567890123456789012345678901234567890%2Cvitalik.eth', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//insights/v1/tokens?owner_address=0x1234567890123456789012345678901234567890%2Cvitalik.eth')print(response.json())
200 Response
{  "data": [    {      "chain_id": 1,      "token_address": "vitalik.eth",      "balance": "<string>",      "name": "<string>",      "symbol": "<string>",      "decimals": 123,      "price_data": {        "price_usd": 123,        "usd_value": 123,        "volume_24h_usd": 123,        "market_cap_usd": 123,        "circulating_supply": 123,        "total_supply": 123,        "percent_change_24h": 123,        "price_timestamp": "<string>"      }    }  ]}
Ask a question... ⌘I